SarkaSpip , Où en es-t-on ?

jeudi 22 janvier 2015 à 14h06
par ZappaPY

Logo de ZappaPY

Milles excuses pour le doublon , je n’ai pas posté où il le faut au premier jet
Je reprends contact avec le monde de SPIP relativement régulièrement , mais là je suis pommé . Qui pourrait répondre aux trois questions suivantes s’il vous plait :
1) Quelle est la dernière version stable de SarkaSpip ?
2) Qu’est-ce que SarkaSpip V4 ?
3) Pourquoi les informations concernant la "V4" ou "SPIPr" sont-elles dissociées de Spip-contrib , SarkaSpip , etc

Je voudrais mettre à jour d’anciens sites depuis longtemps sous SarkaSpip et d’autres , plus récents . Merci d’avance pour vos réponses .


Réponses

4 février 2015 à 10h23

Bonjour,

J’ai à peu près les mêmes questions.

J’ai téléchargé sarkaspip-v4 en décembre dernier et sauf mémoire défaillante, je pense que c’était depuis la page Téléchargement de Spipr. Il ne s’y trouve plus.

Après un essai pas très concluant, j’ai repris le collier à l’occasion d’un nouveau site. Comme ça je suis dégagé des idées préconçues quant au rendu qui est assez frappant par rapport à ce qu’on publiait auparavant.

Je vais maintenant intégrer sarkaspip après essai du squelette doc..

Sarkaspip-v4 est sur spip-contrib : ICI

Bonne journée.
Henri

4 février 2015 à 13h04

Merci de ta réponse hdeb (es-tu sous debian avec un tel pseudo , moi , c’est le cas !)

On peut accéder à la V4 de notre CMS préféré en demandant , sur "ajouter des plugins" , en optant pour "tous les états" , on se voit proposer , à cette date :

Sarka-SPIP Reloaded 4.4.16 - test

Le problème est que la doc manque , ou alors je ne sais où la trouver , pour passer d’un spip sous sarka V3 à V4 . Ce que l’on peut voir en ligne sur l’exemple donné a l’air très différent . Il faudrait faire un essai avec une base de données d’un site sous V3 pour voir la différence ...

On a l’impression qu’avec la version 4 , SarkaSpip n’est plus dans la continuité de ce que l’on connaissait ...Je me méfierai avant de faire le grand saut ...

Tout ça est bein vague , je sais mais j’ai bien du mal à y voir plus clair ...

4 février 2015 à 15h58

Pas de doc, liens introuvables simplement... Sarka-SPIP entre-t-il en agonie avant la fin ? Question légitime !

4 février 2015 à 16h53

Bien sûr qu’on sent une fin de quelque chose , d’une période . C’est clair .

Les langages du web évoluent , les sites évoluent et il n’est pas évident de maintenir un CMS , comme tout programme sur la durée . Mais remarquons que SarkaSpip est utilisé dans des milliers de sites et les raisons qui ont fait son succès sont encore là :
Des fonctionnalités bien assemblées et servies dans un squelette facilement configurable . Dans les sites que j’ai eu l’honneur de déployer , j’ai utilisé d’autres squelettes mais SarkaSpip n’a pas beaucoup d’équivalents . Je n’ai trouvé que Escal qui représente un peu le même type de concept puisque Zpip est entré aussi dans la mutation ...

À nous , utilisateurs de mettre la main à la pâte ! En tant qu’utilisateur de logiciels libres quasi exclusivement depuis dix ans , j’ai imaginé que j’apporterai un jour une modeste contribution . Même si je n’en ai pas le niveau , il faut y songer quand on utilise un outil ouvert , il faut essayer de voir comment on peut faire avancer le schmilblick .

Facile à dire , Toujours est-il que tout-à-lheure j’ai essayé d’installer la base dun site sous SarkaSpip 3.02 avec V3.5 ou sarkaV4 , ça n’a rien donné . J’avais oublié que les BDD anciennes ne sont plus gérées à présent ... Faut que je me replonge dans les anciennes docs .

Je suis encore loin du compte pour contribuer à moins que ce ne soit au forum :)

5 février 2015 à 11h50

Bon, on peut peut-être déjà améliorer la version actuelle 3.2.26... Le problème c’est que mes notions de PHP sont lointaines.
Sinon j’ai deux demandes pressantes... ;-)

5 février 2015 à 13h49

Hello,

Surtout pas la version 3.2 dont j’ai abandonné le développement !
La dernière version de Sarka-SPIP dans la lignée 3 est la version 3.4 qui a déjà fait une première évolution en passant sous Z.

Je reviendrais plus tard pour expliquer plus en détails où on en est sur Sarka-SPIP.

A bientôt.

5 février 2015 à 14h06

Ah voilà une réaction intéressante :-)
Mais elle est donnée "en test"... Et moi j’ai pas mal de sites en 3.2... Mes questions sont : comment je fais, avec quelles précautions, quels points d’attention, etc...

5 février 2015 à 14h23

Je suppose qu’il s’agit de SarkaSPIP v4 que l’on trouve ici : http://spipr.nursit.com/

5 février 2015 à 16h32

@pgiron Effectivement , comme indiqué dans ma première intervention en haut de cette page la version 4 est sur nursit mais je pense qu’Éric parle de la version 3 : Sarka-SPIP
3.4.5 - test
et non de la version 4 : Sarka-SPIP Reloaded 4.4.16 - test que l’on voit sur http://spipr.nursit.com/ qui propose un plus grand bouleversement il me semble .

@_Eric_ Merci de ta réponse , peu sont mieux placés pour nous instruire à ce sujet . Je me permets ici de te féliciter d’avoir continué le projet après les décès et défections qui se sont succédés dans l’histoire de SarkaSpip . J’ai commencé à installer un squelette Ahuntsic ( plus maintenu à présent il me semble ) et un SarkaSpip en 2007 et j’ai apprécié de pouvoir publier sur le web grâce à ce beau CMS qu’est Spip .

7 février 2015 à 10h20

Bonjour,

Quelques mots sur mes premiers pas avec Sarkaspip V4 avec Spipr.

  • Sarkaspip V4 se substitue aux squelettes Spipr-doc, Spipr-dist, Spipr-blog.
  • Quand on regarde la liste des plugins, il n’ y a pas de plugin Spipr.
  • Mais 3 plugins Spipr-doc, Spipr-dist, Spipr-blog. Il faut les désactiver et activer Sarkaspip V4.
  • C’est là qu’on se pose la question que devient Spipr qui n’est pas dans la liste des plugins ?
  • Si ça marche, c’est bon ...
  • Et voici le bon vieux Sarkaspip avec ses couleurs typiques ! On n’est pas dépaysé et on sait où on est !
  • Pour inverser Aside (navigation) et Extra (more stuff) donc passer de Layout9 à Layout10, la page Layout de la config de Sarkaspip a disparu.
  • De même, dans la page colonnes, il n’est plus possible d’attribuer une colonne aux noisettes.

Voici où j’en suis.
Henri

7 février 2015 à 12h08

Merci hdeb ,

J’essaierai ça dans 2 ou 3 semaines sur un vieux SarkaSpip ...

3 mars 2015 à 14h36

Bonjour à tous,

Utilisateur Sarka-Spip depuis ... un certain temps (2008 ?) et depuis un certain temps bloqué en version Sarka-Spip 3.1 avec la dernière version de spip 2, après quelques tests en local, j’ai fait dimanche le grand saut avec la 4.4.16 et SpipR.

J’avais envie de "responsive"... et de conserver certaines choses auxquelles j’étais habitué. Du coup j’ai perdu (momentanément ?) certaines fonctions ou personnalisations, j’ai vu passer quelques messages d’erreur au début (en lançant une recherche dans la partie publique), mais sans changer d’hébergement la différence de réactivité est saisissante (cela vient-il de SPIP 3 ? de SarkaSpip V4 qui m’a l’air un peu simplifié ? des 2 ?) et je suis ravi du rendu notamment sur mobile.

On verra plus tard pour les personnalisations, j’ai un thème qui me va bien, et tout roule.

Christophe

5 mars 2015 à 16h29

Bonjour à tous

Comme Christophe, je suis restée à SPIP 2.1.26 [21262] | Sarka-SPIP 3.0.8 [54368], par manque de temps, parce que j’ai fait 5 sites (merci SPIP, merci Eric !) qui fonctionnent bien je ne suis pas spécialiste.
Mais il faudra bien un jour, alors comme Christophe, je suis tentée par le grand saut plutôt que de passer à SPIP 3 et au Sarka SPIP 3 correspondant.

Je vais donc essayer sur un site de test : je suis allée sur http://spipr.nursit.com/, j’ai téléchargé comme expliqué la dernière version de SPIP 3, puis SPIPr V1 mais je n’y trouve pas Sarka SPIP 4 :
faut-il le télécharger à part et le rajouter ?

5 mars 2015 à 17h10

Si je me souviens bien , le problème principal est de faire lire une base de données de SPIP2 par SPIP3 . Il va falloir que je m’intéresse sérieusement au problème mais là , je manque un peu de temps ...

Faire un site à partir de rien sous SPIP3 et Sarka n’est pas la difficulté vu de mon côté , le problème est bien l’évolution des vieux sites ... C’est bien ce que tu veux AJCF RV ?

5 mars 2015 à 17h19

en fait, les 2 mon général !

Mes 5 sites existants devront bien évoluer.

5 mars 2015 à 17h52

Je suis aussi dans ce cas , mais je temporise encore ...

Et bien bon courage amirale !

5 mars 2015 à 17h56

Hello,
Alors pour Sarka, oui il faut le télécharger à part ... et comment dire... je ne me souviens plus où je l’ai trouvé pour le moment (oups).
Mais j’envoie illico le zip à qui le veut (*). C’est une version 4.4.16 "en test".
Concernant la base, elle est mise à jour automatiquement par la nouvelle version de SPIP, et ça n’a posé aucun problème chez moi, tant en local que sur mon site de "prod".
(*) il suffit par exemple de cliquer sur mon pseudo ici pour trouver un lien vers mon site et m’envoyer un message.
a+

16 mars 2015 à 12h16

Bonjour,

Sarkaspip-4 et Spipr ... très bien !

Je suis très satisfait du site de publication que j’ai mis en place avec eux dans le but d’utiliser le côté responsive.

Je m’occupe d’un autre site en Spip 2 qui a plusieurs années d’existence (donc beaucoup d’articles) et avant de passer en Spip3 ou en Spipr, je voudrais savoir quel devenir ont les branches Spipr et Sarkaspip-4.

Merci.
Henri

28 mars 2015 à 09h58

Bonjour à tout le monde ici !
j’ai installé SPIPR et SARKASPIP4 reloaded. Par contre y a -t-il une façon de recuperer un site sur sarka 3.4 et spip 3 ? une mise à jour à faire ?
Sinon comment paraméter ce nouveau joli bolide ?
y a qq1 qui peut me guider ?

30 mars 2015 à 17h24

Y-a-t-il une âme charitable qui veut bien me guider pour configurer mon site en SPIPR et SARKA 4...Merci

31 mars 2015 à 07h55

La même charité m’intéresserait pour l’évolution du site catholique :
http://stfrancoisdesodons.catholique.fr/

Merci !

paroisse catholique par un"webmaster" breton de fortune
31 mars 2015 à 08h08

Moi-même suis coincé et en plus pris par moult autres affaires.... je suis preneur moi aussi.

31 mars 2015 à 09h47

Hello,

Configurer un site c’est parfois un peu vaste. Le mieux serait de poser des questions précises car je n’ai pas développé aujourd’hui de documentation sur le sujet.

31 mars 2015 à 11h23

Pour moi, le problème où cela coince a déjà été signalé : comment réussir un passage relativement fluide de sarkaspip 3.2 à 3.3 ou évidemment 3.4… et de là pourquoi pas sauter aussi en Spipr et ce qui va avec !
Cordialement

31 mars 2015 à 14h34

Bonjour,
Je propose la démarche suivante :
- faire une installation en local (easyPHP)
- rapatrier une sauvegarde afin de faire tourner le site actuel en local
- mettre à jour en local SPIP et SarkaSpip 4 reloaded
- configurer, choisir un thème
et si ça convient, faire la même chose sur le site de production.
On trouve de la doc au sujet des mises à jour majeures, dont il est possible de s’inspirer, par exemple :
http://wiki.dane.ac-versailles.fr/index.php?title=Mise_a_jour_SPIP3
A+
Christophe

31 mars 2015 à 18h55

La mise à jour Spip 3, pas de problème. Le problème c’est de déployer Sarka (wiki.dane parle de scola pas de sarka.
Merci pour le tuyau quand même.

1er avril 2015 à 11h50

Ahhhhhhhhhhhhh merci on avance... Par contre quid de SPIPR ? Faut-il l’installer ?

1er avril 2015 à 21h06

"A." je ne comprends pas la question... c’est exactement ce que j’ai fait, déployer Sarkaspip 4 reloaded par dessus une version 3.

D’abord en local, puis directement sur mon site de "prod", en me servant de certaines explications de wiki.dane par exemple en déplaçant tout dans un sous répertoire, histoire de pouvoir récupérer certaines choses.

Ce n’est pas plus compliqué que de partir d’un spip en dist et d’installer Sarkaspip. La version 4 est beaucoup moins paramétrable par contre au niveau visuel, d’où ma suggestion de tester en local avant...

2 avril 2015 à 09h54

Salut Christophe

Personnellement, je préfère la version précédente. Il reste sécurisant. Mais c’est à chacun d’en juger.

www.fax-mailing.pro

www.fax-mailing.pro
2 avril 2015 à 14h48

Une question bête mais à quoi sers SPIPR ? Il est réponsif aussi non ?
Sinon pour le moment si on n’a pas de connaissance pointu dans le domaine, il ne vaut mieux pas installer SARKASPIP 4 reloaded...?

2 avril 2015 à 15h08

Une question bête mais à quoi sers SPIPR ? Il est réponsif aussi non ?
Sinon pour le moment si on n’a pas de connaissance pointu dans le domaine, il ne vaut mieux pas installer SARKASPIP 4 reloaded...?
Sinon on installe soit SPIPR soit SARKASPIP 4 mais les deux avec un SPIP3 ? C’est bien ca ? Donc SPIPR n’a rien à vour avec la nouvelle version de SARKA

2 avril 2015 à 15h54

Tu trouveras toutes les infos sur SPIPr ici.

Il est effectivement "responsive".

Il est utilisable avec 3 squelettes, du plus simple au plus complet, ce dernier correspondant à SarkaSPIP 4 reloaded.

Si tu souhaites conserver une bonne partie des fonctionnalités de ton site actuel sous Sarkaspip3, alors la combinaison SPIPr / Sarkaspip 4 me paraît la meilleure formule.

2 avril 2015 à 16h22

il faut donc installer SPIP 3, puis SPIPR et aussi SARKA4 RELOADED ?

2 avril 2015 à 16h32

C’est exactement ce que j’ai fait.

Tu peux consulter le résultat ICI

Bien entendu je n’ai plus la version d’origine en spip 2 et SarkaSPIP 3, mais la capture écran ci-jointe te donnera une idée en ce qui concerne la page d’accueil. Il s’agissait d’une personnalisation "en noir" suite aux attentats, sinon les couleurs étaient un peu plus variées...

J’ai perdu certaines fonctions au passage (définitivement ou momentanément), par exemple le nuage de mots clés, mais pour l’instant ça me va bien.

2 avril 2015 à 18h52

Merci Christophe. Est-il possible de se contacter en privé ?
Sinon tu as activté quoi de SPIPR ? je ne comprends pas.
Peux tu me faire une copie d’écran des plugins actifs ? et du protocle suivi pour muter ?
En fait j’ai 3 site en SPIP 3.0.17 [21515] | Sarka-SPIP 3.4.5 [84607] et je voudrais avoir migrer. et me familiariser avec la nouvelle apparence car j’ai un nouveau site à réaliser....

Site 1 , site 2 et site3

2 avril 2015 à 19h32

Pour le privé, désolé mais en ce moment ça ne va pas être possible (surchauffe de boulot).

Concernant SPIPr, tout est détaillé ICI.

Concernant le protocole, de mémoire (et vite fait) :

- désactiver Sarka-SPIP 3,
- vider tmp et compagnie,
- installer SPIPr comme indiqué au dessus,
- choisir un thème,
- installer Sarka-SPIP 4...

Pour les plugins voici une capture écran et une deuxième.

Tous ne sont pas obligatoires bien sûr.

a+

3 avril 2015 à 09h46

Quand tu écris choisir un thème, tu parles de quoi ? un de SPIPR ou un thème "couleur" ?

3 avril 2015 à 09h49

La réponse se trouve dans la doc SPIPr (le lien fourni hier) et dans les captures écran de mes plugins : ZenGarden et SpaceLab.

3 avril 2015 à 10h12

Bon je ne comprnds pas alors, de plus il semblerait que le plugin SPACELAB n’existe pas...

3 avril 2015 à 17h54

C’est un thème Zen-Garden... il s’affiche dans les plugins quand on le sélectionne, les autres étant aussi présents mais classés en inactifs.

Dans les inactifs j’ai ainsi Amelia, Beige, Cerulean, Cosmo etc etc.

Je n’ai pas trafiqué mes captures écran...

23 juillet 2015 à 19h28

Bonsoir,

J’arrive peut-être trop tard…

J’ai installé directement le plugin Sarka-SPIP Reloaded 4.5.1 - stable sans SPIP v3.0 ni SPIPr v1 proposés sur la page http://spipr.nursit.com/telecharger et ça marche mais ne devrais-je pas rajouter ces deux squelettes ?

Merci ;)


Forum sur abonnement

Pour participer à ce forum, vous devez vous enregistrer au préalable. Merci d’indiquer ci-dessous l’identifiant personnel qui vous a été fourni. Si vous n’êtes pas enregistré, vous devez vous inscrire.

Connexions’inscriremot de passe oublié ?